FieldFragList.WeightedFragInfo.SubInfo (Lucene 10.5.0 highlighter API)
Description: declaration: package: org.apache.lucene.search.vectorhighlight, class: FieldFragList, class: WeightedFragInfo, record: SubInfo

Package org.apache.lucene.search.vectorhighlight

# Record Class FieldFragList.WeightedFragInfo.SubInfo

java.lang.Object
java.lang.Record
org.apache.lucene.search.vectorhighlight.FieldFragList.WeightedFragInfo.SubInfo

Record Components:
  `text` - unnecessary member, just exists for debugging purpose
  `termsOffsets` - usually termsOffsets.size() == 1, but if position-gap > 1 and slop > 0 then size() could be greater than 1
  `boost` - used for scoring split WeightedPhraseInfos.

Enclosing class:
  `FieldFragList.WeightedFragInfo`

public static record FieldFragList.WeightedFragInfo.SubInfo(String text, List<FieldPhraseList.WeightedPhraseInfo.Toffs> termsOffsets, int seqnum, float boost) extends Record
Represents the list of term offsets for some text

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SubInfo(String text, List<FieldPhraseList.WeightedPhraseInfo.Toffs> termsOffsets, int seqnum, float boost)`
  Creates an instance of a `SubInfo` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `float`
  `boost()`
  Returns the value of the `boost` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `int`
  `seqnum()`
  Returns the value of the `seqnum` record component.
  `List<FieldPhraseList.WeightedPhraseInfo.Toffs>`
  `termsOffsets()`
  Returns the value of the `termsOffsets` record component.
  `String`
  `text()`
  Returns the value of the `text` record component.
  `String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SubInfo

    public SubInfo(String text, List<FieldPhraseList.WeightedPhraseInfo.Toffs> termsOffsets, int seqnum, float boost)
    Creates an instance of a `SubInfo` record class.
    Parameters:
      `text` - the value for the `text` record component
      `termsOffsets` - the value for the `termsOffsets` record component
      `seqnum` - the value for the `seqnum` record component
      `boost` - the value for the `boost` record component

- ## Method Details

  - ### toString

    public String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### text

    public String text()
    Returns the value of the `text` record component.
    Returns:
      the value of the `text` record component

  - ### termsOffsets

    public List<FieldPhraseList.WeightedPhraseInfo.Toffs> termsOffsets()
    Returns the value of the `termsOffsets` record component.
    Returns:
      the value of the `termsOffsets` record component

  - ### seqnum

    public int seqnum()
    Returns the value of the `seqnum` record component.
    Returns:
      the value of the `seqnum` record component

  - ### boost

    public float boost()
    Returns the value of the `boost` record component.
    Returns:
      the value of the `boost` record component